MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxcfold.c File Reference

OXCFOLD ROP Response size calculations. More...

`#include "libmapiserver.h"`

## Functions
uint16_t | libmapiserver_RopCopyFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopCreateFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopDeleteFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopDeleteMessage_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopEmptyFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetContentsTable_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetHierarchyTable_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetSearchCriteria_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopMoveCopyMessages_size (struct EcDoRpc_MAPI_REPL *response)
uint16_t | libmapiserver_RopMoveFolder_size (struct EcDoRpc_MAPI_REPL *response)
uint16_t | libmapiserver_RopOpenFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSetSearchCriteria_size (struct EcDoRpc_MAPI_REPL *response)

## Detailed Description

OXCFOLD ROP Response size calculations.

## Function Documentation

uint16_t libmapiserver_RopCopyFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate CopyFolder rop size

Parameters

  response | pointer to the CopyFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of CopyFolder response

Referenced by EcDoRpc_RopCopyFolder().

_PUBLIC_ uint16_t libmapiserver_RopCreateFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate CreateFolder Rop size

Parameters

  response | pointer to the CreateFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of CreateFolder response

Referenced by EcDoRpc_RopCreateFolder().

_PUBLIC_ uint16_t libmapiserver_RopDeleteFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate DeleteFolder Rop size

Parameters

  response | pointer to the DeleteFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of DeleteFolder response

Referenced by EcDoRpc_RopDeleteFolder().

_PUBLIC_ uint16_t libmapiserver_RopDeleteMessage_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate DeleteMessage (0x1e) Rop size

Parameters

  response | pointer to the DeleteMessage EcDoRpc_MAPI_REPL structure

Returns
  Size of DeleteMessage response

Referenced by EcDoRpc_RopDeleteMessages().

_PUBLIC_ uint16_t libmapiserver_RopEmptyFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate EmptyFolder Rop size

Parameters

  response | pointer to the EmptyFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of EmptyFolder response

Referenced by EcDoRpc_RopEmptyFolder().

_PUBLIC_ uint16_t libmapiserver_RopGetContentsTable_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetContentsTable Rop size

Parameters

  response | pointer to the GetContentsTable EcDoRpc_MAPI_REPL structure

Returns
  Size of GetContentsTable response

Referenced by EcDoRpc_RopGetContentsTable().

_PUBLIC_ uint16_t libmapiserver_RopGetHierarchyTable_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetHierarchyTable Rop size

Parameters

  response | pointer to the GetHierarchyTable EcDoRpc_MAPI_REPL structure

Returns
  Size of GetHierarchyTable response

Referenced by EcDoRpc_RopGetHierarchyTable().

_PUBLIC_ uint16_t libmapiserver_RopGetSearchCriteria_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetSearchCriteria (0x31) Rop size

Parameters

  response | pointer to the GetSearchCriteria EcDoRpc_MAPI_REPL structure

Returns
  Size of GetSearchCriteria response

Referenced by EcDoRpc_RopGetSearchCriteria().

_PUBLIC_ uint16_t libmapiserver_RopMoveCopyMessages_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate MoveCopyMessages rop size

Parameters

  response | pointer to the MoveCopyMessags EcDoRpc_MAPI_REPL structure

Returns
  Size of MoveCopyMessages response

uint16_t libmapiserver_RopMoveFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate MoveFolder rop size

Parameters

  response | pointer to the MoveFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of MoveFolder response

Referenced by EcDoRpc_RopMoveFolder().

uint16_t libmapiserver_RopOpenFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate OpenFolder Rop size

Parameters

  response | pointer to the OpenFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of OpenFolder response

Referenced by EcDoRpc_RopOpenFolder().

_PUBLIC_ uint16_t libmapiserver_RopSetSearchCriteria_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SetSearchCriteria (0x30) Rop size

Parameters

  response | pointer to the SetSearchCriteria EcDoRpc_MAPI_REPL structure

Returns
  Size of SetSearchCriteria response

Referenced by EcDoRpc_RopSetSearchCriteria().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/